<?php

namespace Entity\Model;

use Helpers\QueryBuilder\QueryBuilder;

class OxaUserPanierCsDon extends QueryBuilder
{
    protected \PDO $pdo;
    
    protected string $table = 'oxa_users_panier_CS_DON with (nolock)';
    
    public string $titre;
    protected array $primKey = ['id_user', 'id_panier', 'NUM_FIX', 'ID_LIGNE', 'COD_TAB'];
    
    public function __construct(\PDO $pdo)
    {
        $this->pdo = $pdo;
    }

    /**
     * @return array<mixed>
     */
    public function getArchitecture(\Helpers\Trad\ITrad $trad)
    {
        return  [];
    }
}
